<?php
/**
* @title		SP Image rotator module
* @website		http://www.joomshaper.com
* @copyright	Copyright (C) 2010 JoomShaper.com. All rights reserved.
* @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
*/

defined('JPATH_BASE') or die();

class JElementFolderTree extends JElement
{
	var	$_name = 'FolderTree';

	function fetchElement($name, $value, &$node, $control_name)
	{
		jimport( 'joomla.filesystem.folder' );

		// path to images directory
		$path		= JPATH_ROOT.DS.$node->attributes('directory');
		$filter		= $node->attributes('filter');
		$folders	= JFolder::listFolderTree($path, $filter);

		$options = array ();
		foreach ($folders as $folder)
		{
			$options[] = JHTML::_('select.option', $folder['relname'], str_replace(DS,"/",substr($folder['relname'], 1)));
		}

		return JHTML::_('select.genericlist',  $options, ''.$control_name.'['.$name.']', 'class="inputbox"', 'value', 'text', $value, $control_name.$name);
	}
}
